V2 List all available challenges for a customer

This endpoint returns all active challenges that are available for the customer to complete. Results can be filtered with query parameters listed below.

Path Params
string
required

Unique customer ID. This can be

  • The Antavo customer ID
  • An external ID (requires configuration): {external_field:external_id_value}
Query Params
string

Filtering based on tag(s) associated.

number

Filtering based on the points rewarded.

string

Filtering based on the title.

integer

Offsets the starting number of active challenges to return. This is used in pagination in conjunction with the limit query.

integer

Limits the number of active challenges returned in one response. Other values are accessible by pagination made accessible via the offset.

string

Sorts the results by the selected value, which can be ends_at, title or points. This query can be used in conjunction with the order query.

string

Used in conjunction with the sort query to list the results in ascending or descending order. The value can be asc for an ascending order or desc for a descending order.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json